{ pkgs, lib, osConfig, ... }:
let
  cfg = osConfig.mods.desktop;
in {
  imports = [
    ./i3.nix
    ./hyprland.nix
    ./social.nix
    ./development.nix
    ./productivity.nix
    ./media.nix
  ];

  mods.hyprland.enable = lib.mkIf cfg.wayland.enable true;
  mods.i3.enable = lib.mkIf osConfig.services.xserver.windowManager.i3.enable true;
}
